NioEndpoint.NioBufferHandler (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.NioEndpoint.NioBufferHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class NioEndpoint.NioBufferHandler

    java.lang.Object
      org.apache.tomcat.util.net.NioEndpoint.NioBufferHandler

All Implemented Interfaces:
  SecureNioChannel.ApplicationBufferHandler

Enclosing class:
  NioEndpoint

    public class NioEndpoint.NioBufferHandler

extends java.lang.Object
implements SecureNioChannel.ApplicationBufferHandler

Field Summary
`protected java.nio.ByteBuffer` | `readbuf`
`protected java.nio.ByteBuffer` | `writebuf`

Constructor Summary
`NioEndpoint.NioBufferHandler(int readsize, int writesize, boolean direct)`

Method Summary
`java.nio.ByteBuffer` | `expand(java.nio.ByteBuffer buffer, int remaining)`
`java.nio.ByteBuffer` | `getReadBuffer()`
`java.nio.ByteBuffer` | `getWriteBuffer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readbuf

    protected java.nio.ByteBuffer readbuf

### writebuf

    protected java.nio.ByteBuffer writebuf

Constructor Detail

### NioEndpoint.NioBufferHandler

    public NioEndpoint.NioBufferHandler(int readsize,
                                        int writesize,
                                        boolean direct)

Method Detail

### expand

    public java.nio.ByteBuffer expand(java.nio.ByteBuffer buffer,
                                      int remaining)

  Specified by:
    `expand` in interface `SecureNioChannel.ApplicationBufferHandler`

### getReadBuffer

    public java.nio.ByteBuffer getReadBuffer()

  Specified by:
    `getReadBuffer` in interface `SecureNioChannel.ApplicationBufferHandler`

### getWriteBuffer

    public java.nio.ByteBuffer getWriteBuffer()

  Specified by:
    `getWriteBuffer` in interface `SecureNioChannel.ApplicationBufferHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.